Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001206KdenliveMLTpublic2009-10-12 17:202010-02-20 08:16
ReporterDavePhillips 
Assigned Toddennedy 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Platform32 bit intel and alikeOSUbuntu LinuxOS Version9.04
Product VersionRecent git 
Target VersionFixed in Version0.7.7 
Summary0001206: certain file types that were previously loaded and played without complaint now crash Kdenlive
DescriptionAn unoptimized Apple QuickTime movie and a Cinepak AVI that previously caused no problems now immediately crash the program. The problem is reproducible and always occurs.
Steps To ReproduceKdenlive 0.7.7 (rev 4032)
MLT 0.4.7
FFmpeg SVN-r20209

Add the attached clip teapot.mov. Backtrace is pasted in Additional Information.
Additional InformationBacktrace from KDE:

Application: Kdenlive (kdenlive), signal SIGSEGV
[Current thread is 0 (LWP 20207)]

Thread 3 (Thread 0xaef0cb90 (LWP 20216)):
#0 0xb8067424 in __kernel_vsyscall ()
#1 0xb661c412 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
0000002 0xb6723344 in pthread_cond_timedwait () from /lib/tls/i686/cmov/libc.so.6
0000003 0xb805b679 in mlt_consumer_get_frame (this=0x8f17b18) at mlt_consumer.c:498
0000004 0xb805b900 in mlt_consumer_rt_frame (this=0x8f17b18) at mlt_consumer.c:896
0000005 0xb3bf005a in consumer_thread (arg=0x8f17b18) at consumer_sdl_still.c:556
0000006 0xb66184ff in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000007 0xb671449e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 2 (Thread 0xae70bb90 (LWP 20217)):
#0 0xb8067424 in __kernel_vsyscall ()
#1 0xb661c0e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
0000002 0xb67232ed in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
0000003 0xb3bef74c in consumer_thread (arg=0x8f08e30) at consumer_sdl_preview.c:385
0000004 0xb66184ff in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000005 0xb671449e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 1 (Thread 0xb5c8b920 (LWP 20207)):
[KCrash Handler]
0000006 get_audio_streams_info (this=0x979ac98) at producer_avformat.c:647
0000007 0xb3db11c9 in producer_get_frame (producer=0x979ac98, frame=0xbf983928, index=0) at producer_avformat.c:1239
0000008 0xb80573b3 in producer_get_frame (service=0x979ac98, frame=0xbf983928, index=0) at mlt_producer.c:578
0000009 0xb80554be in mlt_service_get_frame (this=0x979ac98, frame=0xbf983928, index=0) at mlt_service.c:456
0000010 0xb803ad1d in Mlt::Service::get_frame () from /usr/lib/libmlt++.so.3
0000011 0x080d1c9b in Render::getFileProperties (this=0x8f08638, xml={<QDomNode> = {impl = 0xbf983f34}, <No data fields>}, clipId=@0xbf984044, replaceProducer=false)
    at /home/dlphilp/src/kdenlive/src/renderer.cpp:668
0000012 0x080e3fa4 in Render::qt_metacall (this=0x8f08638, _c=QMetaObject::InvokeMetaMethod, _id=21, _a=0xbf984008) at /home/dlphilp/src/kdenlive/build/src/cmake_bindir/renderer.moc:137
0000013 0xb747bca8 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000014 0xb747c932 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000015 0x080aa297 in ProjectList::getFileProperties (this=0x8d509f0, _t1={<QDomNode> = {impl = 0xbf984040}, <No data fields>}, _t2=@0xbf984044, _t3=false)
    at /home/dlphilp/src/kdenlive/build/src/cmake_bindir/projectlist.moc:225
0000016 0x080adebf in ProjectList::slotProcessNextClipInQueue (this=0x8d509f0) at /home/dlphilp/src/kdenlive/src/projectlist.cpp:612
0000017 0x080b4d72 in ProjectList::qt_metacall (this=0x8d509f0, _c=QMetaObject::InvokeMetaMethod, _id=44, _a=0xbf984178) at /home/dlphilp/src/kdenlive/build/src/cmake_bindir/projectlist.moc:203
0000018 0xb747bca8 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000019 0xb747c932 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000020 0xb74b7717 in QTimer::timeout () from /usr/lib/libQtCore.so.4
0000021 0xb74816fe in QTimer::timerEvent () from /usr/lib/libQtCore.so.4
0000022 0xb747615f in QObject::event () from /usr/lib/libQtCore.so.4
0000023 0xb6a17e9c in QApplicationPrivate::notify_helper () from /usr/lib/libQtGui.so.4
0000024 0xb6a2019e in QApplication::notify () from /usr/lib/libQtGui.so.4
0000025 0xb7e0f94d in KApplication::notify () from /usr/lib/libkdeui.so.5
0000026 0xb7465a3b in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4
0000027 0xb7494d71 in ?? () from /usr/lib/libQtCore.so.4
0000028 0xb74914e0 in ?? () from /usr/lib/libQtCore.so.4
0000029 0xb5ff1b88 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
0000030 0xb5ff50eb in ?? () from /usr/lib/libglib-2.0.so.0
0000031 0xb5ff5268 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
0000032 0xb7491438 in QEventDispatcherGlib::processEvents () from /usr/lib/libQtCore.so.4
0000033 0xb6ab9365 in ?? () from /usr/lib/libQtGui.so.4
0000034 0xb746406a in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
0000035 0xb74644aa in QEventLoop::exec () from /usr/lib/libQtCore.so.4
0000036 0xb7466959 in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
0000037 0xb6a17d17 in QApplication::exec () from /usr/lib/libQtGui.so.4
0000038 0x08080b35 in main (argc=1, argv=0xbf984a64) at /home/dlphilp/src/kdenlive/src/main.cpp:86
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Filesmov file icon teapot.mov [^] (572,406 bytes) 2009-10-12 17:20

- Relationships

-  Notes
(0004132)
DavePhillips (reporter)
2009-10-12 17:28

Kdenlive also crashes when I add a Cinepak AVI too large to upload. Both the MOV and the AVI were loadable without problems in earlier builds.
(0004133)
j-b-m (administrator)
2009-10-12 18:08

I can confirm the crash. It seems related to some recent changes in the audio handling of avformat producer...

Here is my backtrace from MLT:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xb7421b70 (LWP 7003)]
get_audio_streams_info (this=0x80cf3e0)
    at producer_avformat.c:647
647 i < context->nb_streams;
(gdb)
(gdb) thread apply all bt

Thread 3 (Thread 0xb7421b70 (LWP 7003)):
#0 get_audio_streams_info (this=0x80cf3e0)
    at producer_avformat.c:647
#1 0x00cfbf63 in producer_set_up_video (producer=0x80cf3e0,
    frame=0xb74210d8, index=0) at producer_avformat.c:1239
0000002 producer_get_frame (producer=0x80cf3e0, frame=0xb74210d8,
    index=0) at producer_avformat.c:1756
0000003 0x00d1f373 in producer_get_frame (service=0x
(...)
(0004135)
ddennedy (developer)
2009-10-13 03:28

Please test a fix in git public trunk, commit d31ca4d.

This is a fix for video-only files. Does that match your expectation (teapot.mov was not playable here)?
(0004137)
ddennedy (developer)
2009-10-13 03:36

sorry, I downloaded teapot.mov incorrectly the first time. Now, I succeeded and the fix does work for that file.
(0004155)
DavePhillips (reporter)
2009-10-13 12:25

I confirm that the fix appears to resolve the problem for both misbehaving files. I rebuilt MLT 0.4.7 from the latest git, tested with melt and Kdenlive, and the files no longer crash the program. My thanks to the developers for their fast and excellent work.

- Issue History
Date Modified Username Field Change
2009-10-12 17:20 DavePhillips New Issue
2009-10-12 17:20 DavePhillips File Added: teapot.mov
2009-10-12 17:20 DavePhillips Build/Install Method => Manual build from SVN
2009-10-12 17:28 DavePhillips Note Added: 0004132
2009-10-12 18:08 j-b-m Note Added: 0004133
2009-10-12 18:08 j-b-m Status new => acknowledged
2009-10-13 03:28 ddennedy Note Added: 0004135
2009-10-13 03:28 ddennedy Status acknowledged => feedback
2009-10-13 03:29 ddennedy Status feedback => assigned
2009-10-13 03:29 ddennedy Assigned To => ddennedy
2009-10-13 03:36 ddennedy Note Added: 0004137
2009-10-13 06:58 ddennedy Status assigned => feedback
2009-10-13 12:25 DavePhillips Note Added: 0004155
2009-10-13 18:24 ddennedy Status feedback => resolved
2009-10-13 18:24 ddennedy Fixed in Version => future version
2009-10-13 18:24 ddennedy Resolution open => fixed
2010-02-02 10:34 j-b-m Fixed in Version future version => 0.7.7
2010-02-20 08:16 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker